Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.vm
Class CdConfig

`java.lang.Object
oracle.ovs.api.datamodel.vm.CdConfig`

All Implemented Interfaces:
  java.io.Serializable

      public class CdConfig

extends java.lang.Object
implements java.io.Serializable

CD config data model, use to attach/detach CD to virtual machine. Replaced the oracle.ovs.api.datamodel.CdVMConfig

Since:
  2.1.5
See Also:
  Serialized Form

Constructor Summary
`CdConfig()`

Method Summary
`java.lang.String` | `getCdName()`
`java.lang.String` | `getFilePath()`
`java.lang.String` | `getFrontEndName()`
`ISOResource` | `getIso()`
`void` | `setCdName(java.lang.String cdName)`
`void` | `setFilePath(java.lang.String filePath)`
`void` | `setFrontEndName(java.lang.String frontEndName)`
`void` | `setIso(ISOResource iso)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CdConfig

    public CdConfig()

Method Detail

### setIso

    public void setIso(ISOResource iso)

### getIso

    public ISOResource getIso()

### setFilePath

    public void setFilePath(java.lang.String filePath)

### getFilePath

    public java.lang.String getFilePath()

### setFrontEndName

    public void setFrontEndName(java.lang.String frontEndName)

### getFrontEndName

    public java.lang.String getFrontEndName()

### setCdName

    public void setCdName(java.lang.String cdName)

### getCdName

    public java.lang.String getCdName()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.